curl --request GET \
--url https://api.bunny.net/pullzone/{pullZoneId}/optimizer/statistics \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/pullzone/{pullZoneId}/optimizer/statistics"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/pullzone/{pullZoneId}/optimizer/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"RequestsOptimizedChart": {},
"AverageCompressionChart": {},
"TrafficSavedChart": {},
"AverageProcessingTimeChart": {},
"TotalRequestsOptimized": 123,
"TotalTrafficSaved": 123,
"AverageProcessingTime": 123,
"AverageCompressionRatio": 123
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Get optimizer statistics
Authorizations
API Access Key authorization header
Path Parameters
Id of Pull Zone
Query Parameters
(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.
(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.
(Optional) If true, the statistics data will be returned in hourly groupping.
Response
The statistics data for the passed parameters.
The constructed chart of optimized requests
Show child attributes
Show child attributes
Average compression chart of the responses
Show child attributes
Show child attributes
The constructed chart of saved traffic
Show child attributes
Show child attributes
The constructed chart of saved traffic
Show child attributes
Show child attributes
The total number of optimized requests
The total requests saved
The average processing time of each request
The average compression ratio of CDN responses